curl --request POST \
--url https://api.cadanapay.com/v1/users/{userId}/virtual-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "USD",
"customIdentification": {
"type": "ssn",
"number": "123-45-6789"
},
"jobInformation": {
"employerName": "Acme Corp",
"address": {
"line1": "123 Main St",
"city": "Anytown",
"postalCode": "12345",
"state": "CA",
"countryCode": "US"
},
"employerWebsite": "",
"title": "Software Engineer",
"type": "full-time",
"netPay": {
"amount": 10000,
"currency": "USD"
},
"frequency": "monthly",
"contractStartDate": "2021-01-01",
"contractEndDate": "2025-05-06"
},
"suppressNotification": true
}
'{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}Create a new virtual account for a user
curl --request POST \
--url https://api.cadanapay.com/v1/users/{userId}/virtual-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "USD",
"customIdentification": {
"type": "ssn",
"number": "123-45-6789"
},
"jobInformation": {
"employerName": "Acme Corp",
"address": {
"line1": "123 Main St",
"city": "Anytown",
"postalCode": "12345",
"state": "CA",
"countryCode": "US"
},
"employerWebsite": "",
"title": "Software Engineer",
"type": "full-time",
"netPay": {
"amount": 10000,
"currency": "USD"
},
"frequency": "monthly",
"contractStartDate": "2021-01-01",
"contractEndDate": "2025-05-06"
},
"suppressNotification": true
}
'{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique identifier for the user
"c06f3427-3bbe-4d70-9a54-28acda267e48"
Successful operation